body {
    font-family: sans-serif;
    font-size: 18px;
}

#game-stats {
    margin: 0 auto;
    text-align: center;
}

#game-difficulty {
    text-align: center;
}

#game-difficulty > label {
    margin-right: 20px;
}

#game-table-size {
    display: block;
    text-align: center;
    margin-bottom: 20px;
}

#game-table-size > label {
    margin-right: 20px;
}

#table-width, #table-height {
    width: 100px;
}

#table {
    border-collapse: collapse;
    margin: 10px auto;
}

#table tr, #table td {
    border: 1px solid black;
    height: 50px;
    width: 50px;
}

#result {
    display: none;
    position: absolute;
    height: 160px;
    width: 530px;
    border: 1px solid black;
    background-color: antiquewhite;
    text-align: center;
    left: calc(50% - 530px / 2);
    top: 90px;
}

#result > p {
    font-size: 30px;
}

.active-cell {
    background-color: blue;
}

.clicked-cell {
    background-color: green;
}

.failed-cell {
    background-color: red;
}